package main

import "fmt"
import "crypto/tls"

import "github.com/go-irc/irc"
import "github.com/namsral/flag"

import "git.circuitco.de/self/watbot/wat"

func main() {
	pass := flag.String("pass", "", "password")
	flag.Parse()
	fmt.Printf("PASS len %d\n", len(*pass))
	config := irc.ClientConfig{
		Nick: "watbot",
		Pass: *pass,
		User: "watbot",
		Name: "watbot",
	}
	watConfig := wat.WatConfig{
		PermittedChannels: []string{
			"#lucy",
			"#sweden",
		},
		IgnoredHosts: []string{
			"tripsit/user/creatonez",
		},
	}
	tcpConf := &tls.Config{
		InsecureSkipVerify: false,
	}
	conn, err := tls.Dial("tcp", "irc.casa:6697", tcpConf)
	if err != nil {
		fmt.Println("err " + err.Error())
		return
	}
	wwat := wat.NewWatBot(&config, &watConfig, conn)
	wwat.Run()
}
